Переполнение буфера и отказ в обслуживании в Genecys

Дата публикации:
19.05.2006
Всего просмотров:
805
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-2554
CVE-2006-2555
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Genecys 0.x
Уязвимые версии: Genecys 0.2 и более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю вызвать отказ в обслуживании или выполнить произвольный код на целевой системе.

1. Ошибки проверки границ данных существует в функции "tell_player_surr_changes()" из-за небезопасного вызова функций "sprintf()" и "strcat()". Удаленный пользователь может вызвать переполнение стека и выполнить произвольный код на целевой системе.

2. Ошибка разыменования нулевого указателя обнаружена в функции "parse_command()". Удаленный пользователь может послать специально сформированную команду, не содержащую символ “.”, и аварийно завершить работу приложения.

URL производителя: www.genecys.org

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Buffer-overflow and NULL pointer crash in Genecys 0.2

или введите имя

CAPTCHA